#include <stdio.h>

int main()
{
    int n;
    float szazalek, osszes=0, legnagyobb, bevetel;
    scanf("%d", &n);
    float fl[n*2];
    for(int i=0;i<=n*2-1;i++){
        scanf("%f", &fl[i]);
    }
    
    for(int i=1;i<=n*2-1;i+=2){
        szazalek = fl[i];
        for(int j=1; j<=n*2-1;j+=2){
            if(fl[j] >= szazalek){
                osszes += fl[j-1];
            }
        }
        bevetel = osszes*szazalek/100;
        if(i==1){
            legnagyobb = osszes*szazalek/100;
        }
        if(legnagyobb<bevetel){
            legnagyobb = bevetel;
        }
        bevetel = 0;
        osszes=0;
    }
    printf("%f", legnagyobb);
    return 0;
}